import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:witsystem_core/log/LogUtil.dart';
import 'package:witsystem_core/user/UserInfo.dart';
import 'package:witsystem_core/witsystem_core.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    // We also handle the message potentially returning null.
    try {
      platformVersion =
          await WitsystemCore.platformVersion ?? 'Unknown platform version';
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(children: [
          FloatingActionButton(onPressed: () async {
           //var map = await WitsystemNet.authPost("/user/devices/devices_info", {});
          //  var map = await WitsystemNet.post("http://v.juhe.cn/toutiao/index", {});
           var passwordLogin =await UserInfo().passwordLogin("15311206237", "12345678");
            LogUtil.v("返回${passwordLogin}");
          },child: const Center(child: Text("网络请求")),)
        ],),
      ),
    );
  }
}
