import 'package:shared_preferences/shared_preferences.dart';

///数据管理

class CacheManage {
  static final CacheManage _instance = CacheManage._internal();

  late SharedPreferences _preferences;

  factory CacheManage() {
    return _instance;
  }

  CacheManage._internal();

  init() async {
    _preferences = await SharedPreferences.getInstance();
  }

  Future<bool> setInt(String key, int value) async {
    return await _preferences.setInt(key, value);
  }

  Future<bool> setBool(String key, bool value) async {
    return await _preferences.setBool(key, value);
  }

  Future<bool> setDouble(String key, double value) async {
    return await _preferences.setDouble(key, value);
  }

  Future<bool> setString(String key, String value) async {
    return await _preferences.setString(key, value);
  }

  Future<bool> setStringList(String key, List<String> value) async {
    return await _preferences.setStringList(key, value);
  }

  int? getInt(String key) {
    return _preferences.getInt(key);
  }

  bool? getBool(String key) {
    return _preferences.getBool(key);
  }

  double? getDouble(String key) {
    return _preferences.getDouble(key);
  }

  String? getString(String key) {
    return _preferences.getString(key);
  }

  List<String>? getStringList(String key) {
    return _preferences.getStringList(key);
  }

  Future<bool> remove(String key) async {
   return await _preferences.remove(key);
  }
}
