import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

///自定义底部弹出框
class WitsystemBottomSheet extends StatelessWidget {
  final List<String> sheetItem;

  final Function(int index)? onTap;
  final Function()? onClosing;

  const WitsystemBottomSheet(
      {Key? key, required this.sheetItem, this.onTap, this.onClosing})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BottomSheet(
      shape: const RoundedRectangleBorder(
          borderRadius: BorderRadius.all(Radius.circular(20))),
      builder: (BuildContext context) {
        return Container(
            clipBehavior: Clip.antiAlias,
            height: sheetItem.length * 61 + 10,
            decoration: const BoxDecoration(
              color: Colors.black12,
              borderRadius: BorderRadius.only(
                topLeft: Radius.circular(20.0),
                topRight: Radius.circular(20.0),
              ),
            ),
            child: ListView.builder(
              itemCount: sheetItem.length,
              itemBuilder: (context, index) {
                return GestureDetector(
                    onTap: () {
                      Navigator.pop(context);
                      if (onTap != null) onTap!(index);
                    },
                    child: Container(
                      decoration: const BoxDecoration(
                        color: Colors.white,
                      ),
                      height: 60,
                      margin: EdgeInsets.fromLTRB(
                          0, 0, 0, index == sheetItem.length - 2 ? 11 : 1),
                      alignment: Alignment.center,
                      width: double.maxFinite,
                      child: Text(sheetItem[index]),
                    ));
              },
            ));
      },
      onClosing: () {
        if (onClosing != null) onClosing!();
      },
    );
  }
}
