import 'dart:async';

import 'package:flutter/services.dart';
import 'package:witsystem_core/cache/CacheManage.dart';
import 'package:witsystem_core/config/WitsystemConfig.dart';

class WitsystemCore {

  static Future<void> intstance(
      {required String appId,
      required String appSecret,
      String? token,
      String? rsaParseKey}) async {
    WitsystemConfig().appId = appId;
    WitsystemConfig().appSecret = appSecret;
    if (token != null) WitsystemConfig().token = token;
    if (token != null) WitsystemConfig().rsaParseKey = rsaParseKey!;
      await CacheManage().init(); //初始化缓冲器
  }

  static const MethodChannel _channel = MethodChannel('witsystem_core');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
